org.richfaces.fragment.inplaceInput

## Class AbstractConfirmOrCancel

- java.lang.Object
- - org.richfaces.fragment.inplaceInput.AbstractConfirmOrCancel

- All Implemented Interfaces:
    ConfirmOrCancel
  Direct Known Subclasses:
    RichFacesInplaceInput.ConfirmOrCancelImpl, RichFacesInplaceSelect.ConfirmOrCancelImpl

      public abstract class AbstractConfirmOrCancel
      extends Object
      implements ConfirmOrCancel

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractConfirmOrCancel()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancel()` Cancels the text which is in the input during its editing state, thus it returns back the previous confirmed text.
    `void` | `cancelByControlls()` By using the built in controls, it cancels the text which is in the input during its editing state, thus it returns back the previous confirmed text.
    `void` | `confirm()` Confirms the text which is in the input during its editing state.
    `void` | `confirmByControlls()` By using the built in controls, it confirms the text, which is in the inplaceInput during its editing state.
    `abstract org.openqa.selenium.WebDriver` | `getBrowser()`
    `abstract org.openqa.selenium.WebElement` | `getCancelButton()`
    `abstract org.openqa.selenium.WebElement` | `getConfirmButton()`
    `abstract org.openqa.selenium.WebElement` | `getInput()`
    `abstract void` | `waitAfterConfirmOrCancel()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractConfirmOrCancel

          public AbstractConfirmOrCancel()

  - ### Method Detail

    - #### confirm

          public void confirm()

      Description copied from interface: `ConfirmOrCancel`
      Confirms the text which is in the input during its editing state. In other words, an user firstly type text, and then confirms it in order to really change it.
      Specified by:
        `confirm` in interface `ConfirmOrCancel`

    - #### confirmByControlls

          public void confirmByControlls()

      Description copied from interface: `ConfirmOrCancel`
      By using the built in controls, it confirms the text, which is in the inplaceInput during its editing state. In other words, a user firstly type text into the inplaceInput and then confirms it in order to really change the input's value.
      Specified by:
        `confirmByControlls` in interface `ConfirmOrCancel`

    - #### cancel

          public void cancel()

      Description copied from interface: `ConfirmOrCancel`
      Cancels the text which is in the input during its editing state, thus it returns back the previous confirmed text. In other words, an user firstly type text, then change his/her mind and can return back to the previous state by issuing this method.
      Specified by:
        `cancel` in interface `ConfirmOrCancel`

    - #### cancelByControlls

          public void cancelByControlls()

      Description copied from interface: `ConfirmOrCancel`
      By using the built in controls, it cancels the text which is in the input during its editing state, thus it returns back the previous confirmed text. In other words, an user firstly type text, then change his/her mind and can return back to the previous state by issuing this method.
      Specified by:
        `cancelByControlls` in interface `ConfirmOrCancel`

    - #### getBrowser

          public abstract org.openqa.selenium.WebDriver getBrowser()

    - #### getConfirmButton

          public abstract org.openqa.selenium.WebElement getConfirmButton()

    - #### getInput

          public abstract org.openqa.selenium.WebElement getInput()

    - #### getCancelButton

          public abstract org.openqa.selenium.WebElement getCancelButton()

    - #### waitAfterConfirmOrCancel

          public abstract void waitAfterConfirmOrCancel()

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.